**Source URL:** https://limited.veevavault.dev/vault-api/api-reference/24.1/metadata-definition-language-mdl/cancel-raw-object-deployment.md

# Cancel Raw Object Deployment



Cancel a deployment of configuration changes to a raw object. To use this endpoint, your raw object `configuration_state` must be `IN_DEPLOYMENT`.

<Endpoint path="/api/{version}/metadata/vobjects/{object_name}/actions/canceldeployment" method="POST"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `{object_name}` | The name of the object on which to cancel deployment. This object’s `configuration_state` must be `IN_DEPLOYMENT`. |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v21.3/metadata/vobjects/product__c/actions/canceldeployment

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
   "responseStatus": "SUCCESS"
}

```
</CodeExample>

## Response Details {#response-details}

If the deployment is cancelled successfully, the API returns `SUCCESS`.



---

**Previous:** [Retrieve Asynchronous MDL Script Results](/vault-api/api-reference/24.1/metadata-definition-language-mdl/retrieve-asynchronous-mdl-script-results)  
**Next:** [Retrieve All Component Metadata](/vault-api/api-reference/24.1/metadata-definition-language-mdl/retrieve-all-component-metadata)